Bug 219636 - [NEW PORT]databases/postgresql-mysql_fdw: PostgreSQL foreign data wrapper for MySQL
Summary: [NEW PORT]databases/postgresql-mysql_fdw: PostgreSQL foreign data wrapper for...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-29 14:00 UTC by Jov
Modified: 2017-06-23 09:03 UTC (History)
2 users (show)

See Also:


Attachments
postgresql95-mysql_fdw.shar (2.23 KB, text/plain)
2017-05-29 14:00 UTC, Jov
no flags Details
postgresql-mysql_fdw.shar (2.14 KB, text/plain)
2017-05-30 01:18 UTC, Jov
no flags Details
postgresql-mysql_fdw.shar (2.16 KB, text/plain)
2017-05-31 10:25 UTC, Jov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-29 14:00:52 UTC
Created attachment 183033 [details]
postgresql95-mysql_fdw.shar

This PostgreSQL extension implements a Foreign Data Wrapper (FDW) for MySQL.
The following enhancements are added to the mysql_fdw:
	Write-able FDW
	Connection Pooling 
	Where clause push-down
	Column push-down
	Prepared Statment
Please note that this version of mysql_fdw works with PostgreSQL 9.3, 9.4, 9.5
and 9.6.

WWW: https://github.com/EnterpriseDB/mysql_fdw
Comment 1 Jov 2017-05-30 01:18:58 UTC
Created attachment 183047 [details]
postgresql-mysql_fdw.shar

make this port depend on postgresql version user installed
Comment 2 Jov 2017-05-31 10:25:45 UTC
Created attachment 183091 [details]
postgresql-mysql_fdw.shar

add WANT_PGSQL=	server,the USES pgsql:version only add client depend.
Comment 3 Jov 2017-06-20 01:12:32 UTC
ping
Comment 4 Torsten Zuehlsdorff freebsd_committer 2017-06-20 14:22:50 UTC
Hi Jov,

thanks for the ping. I'm currently very very busy, but i believe i will get the port into the portstree this week!

Greetings,
Torsten
Comment 5 Jov 2017-06-20 15:44:37 UTC
(In reply to Torsten Zuehlsdorff from comment #4)
Thanks very much! I appreciated your reply.
Comment 6 commit-hook freebsd_committer 2017-06-23 09:02:52 UTC
A commit references this bug:

Author: tz
Date: Fri Jun 23 09:02:17 UTC 2017
New revision: 444170
URL: https://svnweb.freebsd.org/changeset/ports/444170

Log:
  New port: databases/postgresql-mysql_fdw

  This PostgreSQL extension implements a Foreign Data Wrapper (FDW) for MySQL.
  The following enhancements are added to the mysql_fdw:
  	Write-able FDW
  	Connection Pooling
  	Where clause push-down
  	Column push-down
  	Prepared Statment
  Please note that this version of mysql_fdw works with PostgreSQL 9.3, 9.4, 9.5
  and 9.6.

  WWW: https://github.com/EnterpriseDB/mysql_fdw

  PR:           219636
  Submitted by: Jov <amutu@amutu.com>

Changes:
  head/databases/Makefile
  head/databases/postgresql-mysql_fdw/
  head/databases/postgresql-mysql_fdw/Makefile
  head/databases/postgresql-mysql_fdw/distinfo
  head/databases/postgresql-mysql_fdw/pkg-descr
Comment 7 Torsten Zuehlsdorff freebsd_committer 2017-06-23 09:03:27 UTC
Committed, thanks! :)